"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OtpGenerateProvider = void 0;
const tslib_1 = require("tslib");
const context_1 = require("@loopback/context");
const core_1 = require("@sourceloop/core");
const rest_1 = require("@loopback/rest");
const otplib_1 = require("otplib");
let OtpGenerateProvider = class OtpGenerateProvider {
    constructor(logger) {
        this.logger = logger;
    }
    value() {
        return async () => {
            if (!process.env.OTP_SECRET) {
                this.logger.error('Invalid OTP secret');
                throw new rest_1.HttpErrors.Unauthorized("Invalid Credentials" /* InvalidCredentials */);
            }
            otplib_1.totp.options = {
                step: +process.env.OTP_STEP || 120,
                window: +process.env.OTP_WINDOW || 1,
            };
            return otplib_1.totp.generate(process.env.OTP_SECRET);
        };
    }
};
OtpGenerateProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, context_1.inject)(core_1.LOGGER.LOGGER_INJECT)),
    tslib_1.__metadata("design:paramtypes", [Object])
], OtpGenerateProvider);
exports.OtpGenerateProvider = OtpGenerateProvider;
//# sourceMappingURL=otp-generate.provider.js.map