/// <reference types="express" />
import { Response } from '@loopback/rest';
import { ILogger } from '@sourceloop/core';
import { AuthClient } from '../models';
import { OtpResponse } from '../modules/auth';
import { OtpFn } from '../providers';
import { OtpCacheRepository, UserRepository } from '../repositories';
export declare class OtpSenderService {
    private readonly otpCacheRepo;
    userRepository: UserRepository;
    private readonly logger;
    private readonly otpSender;
    private response;
    constructor(otpCacheRepo: OtpCacheRepository, userRepository: UserRepository, logger: ILogger, otpSender: OtpFn, response: Response);
    sendOtp(client: AuthClient, username: string): Promise<OtpResponse | void>;
}
